#include <stdio.h>
#include <math.h>

int IsPrime(int num)
{
    int i;

    for (i = 2 ; i <= sqrt(num) ; i++)
        if (num % i == 0)
            return 0;     /* num is reducible, so return 0 */

    return 1;     /* num is prime, so return 1 */
}

void main()
{
    int i, prime_count;

    printf("How many prime numbers would you like to see? ");
    scanf("%d", &prime_count);

    i = 2;
    while (prime_count > 0) {
        if (IsPrime(i) == 1) {
            printf("%d ", i);
            prime_count--;
        }
        i++;
    }

    printf("\n");
}